// Figure 1

// Get the path of the currently running do-file
local do_file_path `c(pwd)'

// Change the working directory to the location of the do-file
cd "`do_file_path'"

// data working directory
cd local_data\tab_data

clear

* country specpct cntryarea parkarea newarea allspec parkspecies newprtspec prtareapct prtspecpct parklandpct parkspecpct
import delimited "Country Results 87% New Species Coverage.csv"
keep country cntryarea parkarea
sort country
save "z0",replace

clear

* iso3 name tparks
import delimited "Total Country Parks.csv"
rename name country
egen tid=tag(country)
keep if tid==1
sort country
save "z1",replace
merge 1:n country using "z0"
drop _merge
gen mparkarea=parkarea/tparks
gen lcntryarea=ln(cntryarea)
gen lmparkarea=ln(mparkarea)

* scatter lmparkarea lcntryarea

reg lmparkarea lcntryarea
predict plmparkarea

label variable lmparkarea "Log Mean Protected Area Size (sq.km.)"
label variable lcntryarea "Log Country Area (sq.km.)"
label variable plmparkare "Regression Fit"

twoway (line plmparkarea lcntryarea, mcolor(blue)) (scatter lmparkarea lcntryarea, mcolor(black))

// Change the working directory to the location of the do-file
cd "`do_file_path'"

graph export "`do_file_path'/figures_rp/vers2025-01-17/fig_01_PA_Size_vs_Country_Size.png",replace

cd "`do_file_path'"

reg lmparkarea lcntryarea
outreg2 using "`do_file_path'/tables_rp/vers2025-01-17/tbl_01_SizeReg.doc", replace label

cd "`do_file_path'"