# temp directory
masterddh <- file.path(wkdir,'local_data','geo_data','wbbnd_ddh')
xfun::dir_create(masterddh)

# URL of the TIF file on World Bank Development Hub
url <- 'https://datacatalogfiles.worldbank.org/ddh-published/0038272/DR0046659/wb_countries_admin0_10m.zip'

# Extra header to be included in the request
extra_header <- "versionId=2024-05-14T14:58:01.5696428Z"

# Send the request
response <- httr::GET(url, add_headers(extra_header))

# Check the response status
if (http_status(response)$category == "Success") {
  # Extract the file name from the URL
  temp_file = file.path(masterddh, basename(url))
  
  # Save the file
  writeBin(content(response, "raw"), temp_file)
  
  cat("File downloaded successfully!")
} else {
  cat("Error downloading file:", http_status(response)$message)
}

# read to a gzipped file
file.exists(temp_file)

# Extract the ZIP file
unzip(temp_file, exdir = masterddh)

wbbnd_ddh <- st_read(file.path(masterddh,tools::file_path_sans_ext(basename(temp_file)),
                               sprintf("%s.shp",tools::file_path_sans_ext(basename(temp_file)))))

admin0_sf <- wbbnd_ddh
