
tbl02_fn <- file.path(wkdir,'local_data','tab_data','tbl02_species.xlsx')
tbl02 <- readxl::read_excel(tbl02_fn)
names(tbl02)

# Loop through each unique Group value
for (tblgrp_i in unique(tbl02$Group)) {
  print(tblgrp_i)
  tbl_i <- tbl02 %>% dplyr::filter(Group == tblgrp_i)
  #
  max_items <- max(table(tbl_i$SpeciesGroup))
  for (SpeciesGroup_i in unique(tbl02$SpeciesGroup)) {
    tbl_rows <- tbl_i %>% filter(SpeciesGroup == SpeciesGroup_i)
    n_needed <- max_items - nrow(tbl_rows)  # Calculate the number of rows needed for Vertebrates
    
    # Step 2: Create additional rows filled with NA for Vertebrates
    additional_rows <- tibble(
      Group = rep(tblgrp_i, n_needed),         # Add same group (1) for Vertebrates
      Species = rep(NA, n_needed),      # Add NAs for species
      SpeciesGroup = rep(SpeciesGroup_i, n_needed)  # Specify Vertebrates for the SpeciesGroup
    )
    
    tbl_i <- rbind(tbl_i,additional_rows)
  }
  
  # long to wide
  tbl02_wide_data <- tbl_i %>%
    dplyr::select(-Group) %>%
    pivot_wider(
      names_from = SpeciesGroup,    # Spread out by SpeciesGroup (e.g., Vertebrates, Plants, etc.)
      values_from = Species,        # Use the species names as values
      values_fill = NA  # Fill missing values with NA
    ) %>%
    unnest(cols = c(Vertebrates, Plants, Arthropods, `Other Species`))
  
  tbl02_wide_data2_fn <- file.path(tbldir,sprintf('tbl_02_group%s.csv',tblgrp_i))
  write.csv(tbl02_wide_data,tbl02_wide_data2_fn,row.names=F)
  
}
