##
## Table 3:  South Africa - Distributions of new priority areas and species
##

tbl03_fn <- file.path(wkdir,'local_data','tab_data','tbl03_south_africa.xlsx')
tbl03 <- readxl::read_excel(tbl03_fn)

tbl03_out <- tbl03 %>%
  dplyr::mutate(Species_Total = sum(Species, na.rm = TRUE),
                `% Priority` = Species / Species_Total * 100)  %>%

  dplyr::mutate(
    `% Plants` = (Plants / Species) * 100,                                 # Calculate percentage for Plants
    `% Vertebrates` = (Vertebrates / Species) * 100,                       # Calculate percentage for Vertebrates
    `% Arthropods` = (Arthropods / Species) * 100,                         # Calculate percentage for Arthropods
    `% Other_Species` = (`Other Species` / Species) * 100                 # Calculate percentage for Other Species
  ) %>%
  dplyr::select(-Species_Total) 

tbl03_out_fn <- file.path(tbldir,'tbl_03_south_africa_priority_areas.csv')
write.csv(tbl03_out,tbl03_out_fn,row.names=FALSE)