##
## Table 5:  Costa Rica - Distributions of new priority areas and species
##

tbl05_fn <- file.path(wkdir,'local_data','tab_data','tbl05_costa_rica_priority_areas.xlsx')
tbl05 <- readxl::read_excel(tbl05_fn)

tbl05_out <- tbl05 %>%
  dplyr::mutate(Species_Total = sum(Species, na.rm = TRUE),
                `% Priority` = Species / Species_Total * 100)  %>%

  dplyr::mutate(
    `% Plants` = (Plants / Species) * 100,                                 # Calculate percentage for Plants
    `% Vertebrates` = (Vertebrates / Species) * 100,                       # Calculate percentage for Vertebrates
    `% Arthropods` = (Arthropods / Species) * 100,                         # Calculate percentage for Arthropods
    `% Other_Species` = (`Other Species` / Species) * 100                 # Calculate percentage for Other Species
  ) %>%
  dplyr::select(-Species_Total) 

tbl05_out_fn <- file.path(tbldir,'tbl_05_costa_rica_priority_areas.csv')
write.csv(tbl05_out,tbl05_out_fn,row.names=FALSE)