

shp_list_fn <- list.files('T:/gbif/GBIF_Parallel_GIS_Full',pattern=".shp$",
                          full.names = TRUE)

# Set up parallel backend with multiple cores
# Adjust based on your machine
#num_cores <- detectCores() - 1  
num_cores <- 16
cl <- makeCluster(num_cores)
registerDoParallel(cl)

# Function to process a single file
process_file <- function(f_i) {
  # Example: Read a CSV file and summarize it
  data_sf <- st_read(f_i) %>%
    dplyr::filter(species %in% species_list)
  
  if(dim(data_sf)[1] > 0){
    return(data_sf)
  }
  
}

# Process files in parallel
results <- foreach(f_i = shp_list_fn, .packages = c("sf")) %dopar% {
  process_file(f_i)
}


# Stop the cluster after the task is completed
stopCluster(cl)

species_dt <- data.table::rbindlist(results)
species_sf <- st_as_sf(species_dt)

