#
# UNEP-WCMC and IUCN (2025), Protected Planet: The World Database on Protected Areas (WDPA)
# [Online], January 2025, Cambridge, UK: UNEP-WCMC and IUCN. 
# Available at: www.protectedplanet.net.
#

library(httr)
require(R.utils)

wdpa_dir <- 'V:/00_GLB/007_environment/WDPA'
wdpa_url <- 'https://d1gam3xoknrgr2.cloudfront.net/current/WDPA_Jan2025_Public.zip'

# temp directory
# xfun::dir_create(masterddh)

# Send the request
response <- httr::GET(wdpa_url)

# Check the response status
if (http_status(response)$category == "Success") {
  # Extract the file name from the URL
  temp_file = file.path(wdpa_dir, basename(wdpa_url))
  
  # Save the file
  writeBin(content(response, "raw"), temp_file)
  
  cat("File downloaded successfully!")
} else {
  cat("Error downloading file:", http_status(response)$message)
}

# read to a gzipped file
file.exists(temp_file)

# Extract the ZIP file
unzip(temp_file, exdir = wdpa_dir)

# WDPA_poly_Jan2025
# read WDPA polygon
wdpa_sf <- st_read(file.path(wdpa_dir,
                               sprintf("%s.gdb",tools::file_path_sans_ext(basename(temp_file)))),
                   layer = wdpa_layer_name
)
